View Issue Details

IDProjectCategoryView StatusLast Update
0000969ThirdParty[All Projects] Bugpublic2014-12-14 14:35
ReporterwyldckatAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
Platformx86_64OSUbuntuOS Version12.04
Product Version 
Fixed in Version 
Summary0000969: Deb package "paraviewopenfoam3120" is missing some important VTK-Python libraries
DescriptionNote: I might be a bit too late for the Deb packages, but the same problem occurs if we erase the "$WM_THIRD_PARTY_DIR/build" folder for a custom build of ParaView 3.12.0.


The following library files are missing (at least) from the Deb package (haven't checked the RPMs), which are needed for some of the Python features that ParaView 3.12.0 can provide:
    vtkChartsPython.so
    vtkCommonPython.so
    vtkFilteringPython.so
    vtkGenericFilteringPython.so
    vtkGeovisPython.so
    vtkGraphicsPython.so
    vtkHybridPython.so
    vtkImagingPython.so
    vtkInfovisPython.so
    vtkIOPython.so
    vtkParallelPython.so
    vtkPVClientServerCorePython.so
    vtkPVCommonPython.so
    vtkPVServerImplementationPython.so
    vtkPVServerManagerPython.so
    vtkPVVTKExtensionsPython.so
    vtkRenderingPython.so
    vtkViewsPython.so
    vtkVisItAVTAlgorithmsPython.so
    vtkVisItDatabasesPython.so
    vtkVolumeRenderingPython.so
    vtkWidgetsPython.so


To fix this, before generating the Deb package (or before removing the build folder), the following command should be executed:
  cp $WM_THIRD_PARTY_DIR/build/$WM_ARCH$WM_COMPILER/paraview-$ParaView_VERSION/bin/vtk*Python.so $ParaView_DIR/lib/paraview-$ParaView_MAJOR/
Additional InformationI briefly wrote about this here: http://www.cfd-online.com/Forums/openfoam-installation/119569-paraview-python-install-problem.html#post435470 - back in June 23rd, 2013.
TagsNo tags attached.

Activities

wyldckat

2013-08-18 21:16

updater   ~0002423

A hack to fix this is available here: http://www.cfd-online.com/Forums/openfoam-paraview/118294-annoying-issue-automatic-rescale-data-range-parafoam-paraview-3-12-a.html#post446490 post #17

wyldckat

2014-03-01 23:16

updater   ~0002918

This issue can be closed.
It has been resolved with the release of OpenFOAM 2.3.0 Deb packages, which provide ParaView 4.1.0 and which doesn't have this problem.

wyldckat

2014-12-13 20:20

updater   ~0003312

Greetings,

Sorry, I was so focused backed then on the solution, that I completely forgot to properly document the problem that triggered the report in the first place.
The problem for which the solution is provided on this bug report, is exemplified here: http://www.cfd-online.com/Forums/openfoam-installation/119569-paraview-python-install-problem.html#post435152

To better document this bug report, here are the steps and expected result - To reproduce, start ParaView 3.12.0 on a deb package installation of OpenFOAM 2.2 (any minor version), and then start up the Python shell within ParaView. Then run this command and the following output will appear:
    >>> from paraview.simple import *

    Traceback (most recent call last):
    File "<pyshell#1>", line 1, in <module>
    from paraview.simple import *
    File "/home/ofuser/OpenFOAM/ThirdParty-2.2.0/build/linuxGcc/paraview-3.12.0/Utilities/VTKPythonWrapping/site-packages/paraview/simple.py", line 40, in <module>
    import servermanager
    File "/home/ofuser/OpenFOAM/ThirdParty-2.2.0/build/linuxGcc/paraview-3.12.0/Utilities/VTKPythonWrapping/site-packages/paraview/servermanager.py", line 43, in <module>
    import paraview, re, os, os.path, new, sys, vtk
    File "/home/ofuser/OpenFOAM/ThirdParty-2.2.0/build/linuxGcc/paraview-3.12.0/Utilities/VTKPythonWrapping/site-packages/paraview/vtk/__init__.py", line 1, in <module>
    from vtkCommonPython import *
    ImportError: No module named vtkCommonPython
    >>>


And as reported on the previous comment, this issue is no longer reproducible with the latest ParaView 4.1.0 that is provided in the Deb and RPM packages.

Best regards,
Bruno

Issue History

Date Modified Username Field Change
2013-08-18 19:57 wyldckat New Issue
2013-08-18 21:16 wyldckat Note Added: 0002423
2014-03-01 23:16 wyldckat Note Added: 0002918
2014-12-13 20:20 wyldckat Note Added: 0003312
2014-12-13 22:59 henry Status new => closed
2014-12-13 22:59 henry Assigned To => henry
2014-12-13 22:59 henry Resolution open => no change required